@import "reset.css";
@import "select2.css";
@import "../../../public/vendor/adminlte/vendor/bootstrap/dist/css/bootstrap.css";
@import "../../../public/vendor/adminlte/vendor/font-awesome/css/font-awesome.css";
@import "../../../public/vendor/adminlte/dist/css/AdminLTE.min.css";
@import "../../../public/vendor/adminlte/dist/css/skins/skin-blue.css";
@import "../../../public/vendor/leaflet.awesome-markers/dist/leaflet.awesome-markers.css";

@import "leaflet.css";
@import "fonts.css";
@import "font";
@import "leaflet.fullscreen.css";



// Variables
@import "variables";

* {
  font-family: "Source Sans Pro", sans-serif;
}

a.add-all, a.remove-all {
  color: #367fa9!important;
  background: none!important;
}
button.show_ico {
  background-color: #367fa9!important;
  border-radius: 3px!important;
}

div.modal {
  position: fixed;
  top: 0 !important;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1050;
  display: none;
  overflow: hidden;
  -webkit-overflow-scrolling: touch;
  outline: 0;
  width: auto !important;
}

.select2 {
  width: 100% !important;
}
.overlay {
  overflow: hidden;
}
.overlay > p {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 50%;
  margin-left: -25%;
  margin-top: 20px;
  text-align: center;
}

.tab-content {
  width: 100%;
}

.service-point-icon > div {
  border-radius: 50%;
  border: 18px solid #fff;
  width: 20px;
  height: 20px;
  div {
    width: 20px;
    height: 20px;
    position: absolute;
    top: 8px;
    left: 9px;
    margin: 0;
    padding: 0;
    z-index: 2;
    i {
      font-size: 16px;
    }
  }
  &::before {
    position: absolute;
    content: '';
    width: 0px;
    height: 0px;
    bottom: -48px;
    left: 1.5px;
    border: 16px solid transparent;
    border-top: 26px solid #fff;
    border-top-color: inherit;
    z-index: 1;
    overflow: visible;
  }
  &::after {
    content: '';
    border-radius: 8px;
    position: absolute;
    top: 30px;
    left: 25px;
    height: 20px;
    width: 8px;
    transform: skew(-55deg, 0);
    background: rgb(56,56,56);
    background: radial-gradient(circle, rgba(0,0,0,0.4) 0%, rgba(0,0,0,0.2) 49%, rgba(0,0,0,0) 100%);
  }

}
.range-values {
  clear:both;
  text-align: center;
  .range-value {
    font-size: small;
    color: #bbb;
    display: inline-block;
    &.min {
      float:left;
    }
    &.max {
      float: right;
    }
  }
}
.no-selection {
  color: #aaa;
  text-align: center;
}
.info-box.sm {
  min-height: 55px;
  .info-box-icon {
    height: 55px;
    width: 55px;
    font-size: 22px;
    line-height: 55px;
    i {
      line-height: 55px;
    }
  }
  .info-box-content {
    margin-left: 55px;
  }
}
.leaflet-popup-content {
  p.title {
    span.icon {
      display: inline-block;
      height: 2em;
      width: 2em;
      line-height: 2em;
      text-align: center;
      margin-right: 0.2em;
      i {
        line-height: 2em;
      }
    }
    span.text {
      font-weight: bold;
    }
  }
}
.custom-cluster {
  border-radius: 50%;

  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  > div {
    border-radius: 50%;
    font-weight: bold;
    font-size: 1.1em;
    &:before{
      content:'';
      opacity: 0.5;
      background-color: #33AAE0;
      position: absolute;
      top: -3px;
      width: 46px;
      height: 46px;
      left: -3px;
      border-radius: 50%;
      z-index: -1;
    }
  }

}

ul.selection {
  margin: 0;
  padding: 0;
  list-style: none;
  > li {
    border: 1px solid #eee;
    > div {
      display:block;
      padding: 8px 0 8px 12px;
      background: #eee;
      .btn {
        margin-top: -8px;
        border-radius: 0;
      }
    }
  }
  ul {
    margin: 0;
    padding: 0.5em;
    list-style: none;
    li {
      color: #666;
      font-size: 0.8em;
    }
  }
}

.content-header {
  > h1 {
    display: inline-block;
    max-width: 60%;
  }
  > ol.breadcrumb {
    max-width: 40%;
    display:inline-block;
    text-align: right;
    >li > a {
      display:inline;
    }
    li {
      max-width: 180px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }
}

#filters{
    // .select2-results__option[aria-selected="true"] {
    //   background-color : #ddd!important;
    // }

    .col-md-3, .col-md-12  {
        margin-bottom: 10px;
    }
    .counter{
      position:absolute;
      top:0px;
      right:5px;
      left:0;
      max-height: 25px;
    }
    .counter-text {
      padding: 5px;
      max-width: 90%;
      margin: 0;
      text-overflow: ellipsis;
      overflow: hidden;
      white-space: nowrap;
    }

    .counter-number {
      right: 5px;
      top: 5px;
      position: absolute;
    }

    .select2-selection {
      border-color : grey;
      color : grey;
      transition: all 0.2s ease-out;
    }
    .select2-selection:hover {
      box-shadow: 2px 2px 2px 1px lightgrey;
    }
    .select2-search {
      width: 100%;
    }
    .select2-search__field {
      text-align: center;
      width:100%!important;
    }
    .select2-search__field[placeholder] {
      color: grey;
      overflow: hidden;
      text-overflow: ellipsis!important;
      white-space: nowrap;
    }
    ::placeholder {
      color: grey;
      overflow: hidden;
      text-overflow: ellipsis!important;
      white-space: nowrap;
    }
    li[aria-expanded=true]{
      background-color: lightgrey!important;
    }
}

.select2-container--default .select2-results__option[aria-selected=true] {
  background-color: lightgrey!important;
}
li.active {
  background-color : lightgrey!important;
}


.skin-blue .main-header .logo-account {
  background-color: #3c8dbc;
  color: #fff;
  border-bottom: 0 solid transparent;
}

.nav-tabs-custom {
  margin-top: 1em;
}

.leaflet-popup-content {
  max-height: 300px;
  overflow-y: auto;
}

.form-group.has-error2 label {
  color: #dd4b39;
}
.form-group.has-error2 .form-control,
.form-group.has-error2 .input-group-addon {
  border-color: #dd4b39;
  box-shadow: none;
}
.form-group.has-error2 .help-block {
  color: #dd4b39;
}

#stats {
  .box-body {
    padding: 0;
  }
  h5 {
    margin: 0;
    padding: 0.5em;
    background: #ececec;
    text-align: center;
    font-size: 1.1em;
    color: #444;
    font-weight: bold;
  }
  th {
    color: #666;
  }
}
#search-services .info-box {
  cursor: pointer;
}
#search-services .info-box:not(.selected) {
  .info-box-icon {
    background-color: #ccc !important;
  }
  .info-box-text, .info-box-number, .info-box-text small {
    color: #bbb !important;
  }
}

#search-services ul.selection {
  display:none;
}

#modal-my-selection {
  .modal-dialog {
    overflow-y: initial !important;
    max-height: 80%;
    .modal-body{
      height: 60%;
      overflow-y: auto;
    }
  }
}

.my-selection button {
  margin: 30px 0;
  text-transform: uppercase;
}

@media print {
  #search-map {
    display: none;
  }
  
  #search-services ul.selection {
    display:block;
  }
  .col-md-8 {
    page-break-inside: avoid;
  }
  .col-md-4, .col-md-8 {
    display:block;
    flex-basis: 100%;
    max-width: 100% !important;
    width: 100% !important;
    float: none;
    margin-left: 0;
    margin-right: 0;
  }

  .tooltip {
    display:none !important;
  }

  .leaflet-popup-pane, .freshwidget-button, .footer, .main-footer, #print, .leaflet-control, .leaflet-bar, #freshwidget-button, .freshwidget-theme, #tarteaucitronRoot, .remove-selected, .range-values, .custom-range, body > :not(#search-context-main) > *, h5, ul.nav.nav-tabs, button.add-all, #modal-my-selection, .my-selection button, .remove-all, .itinerary-btn, .search-fields{
    display: none !important;
  }
  body > .show, body .show, #search-context-main, #search-context-main * {
    //display: inherit;
  }
  a[href]:after {
    content: none !important;
  }
  body > :not(#search-context-main) .show {
    display: inherit !important;
  }
  #search-context-main > .col-md-4 > .box:first-child {
    > .box-body > .form-group:first-child, #search-context-main > .col-md-4 > .box > #search-services > script#search-service-template {
      display: none;
    }
    .address-search, .select2, h4 {
      display:none;
    }
    .address.hidden, .radius.hidden {
      display:block !important;
    }
    .form-group {
      float: left;
      width: 45%;
      margin-right: 5%;
    }
    .form-group:last-child {
      margin-right: 0;
    }
  }
  li.selected-point {
    margin-top: 0.5em;
    border: 1px solid #ccc;

    > strong {
      border-bottom: 1px solid #ededed;
      min-height: 1em;
    }
  }

  .box {
    border-left: 1px solid #eee;
    border-right: 1px solid #eee;
    border-bottom: 1px solid #eee;
  }
  .fa {
    -webkit-print-color-adjust: exact !important;
    color-adjust: exact !important;
  }
  .info-box-icon {
    overflow: hidden;
    position: relative;
    > .fa {
      color: #fff !important;
      -webkit-print-color-adjust: exact !important;
      color-adjust: exact !important;
    }
     > span {
      display: block;
      position: absolute;
      top: 0;
      right: 0;
      left: 0;
      z-index: -1;
      border-bottom-width: 1000px;
      border-bottom-style: solid;
    }
  }
}

a:focus
 {
  box-shadow: 0px 0px 0px 1px white, 0px 0px 0px 2px black;
}

/* ---- RESPONSIVE POP UP CONTEXT SEARCH ---- */
@media (min-width: 641px) {
  .scrollable-popup-content {
    height: 280px;
    overflow: auto;
    min-width: 250px;
  }
}
@media (max-width: 640px) {
  .leaflet-popup-content {
    max-width: 180px;
    margin: 8px 12px;
  }
  #search-map .scrollable-popup-content {
    height: auto!important;
  }
  .leaflet-popup .title {
    max-width: 180px;
  }
  #popup-custom-content {
    max-width: 180px;
  }
}
